*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
html, body{
    width: 100%;
    height: 100%;
    font-family: 'Poppins', sans-serif;
    background-color: var(--bg-color);
}
footer{
    max-width: 1200px;
    margin: 2rem auto;
    width: 100%;
    height: 100%;
    margin-top: 4rem;
    text-align: center;
}


.footer{
    max-width: 1200px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    padding: 1.2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.map-container{
    width: 50%;
    overflow: hidden;
    border-radius: 1rem;
}
.map-container iframe{
    height: 500px;
    border: none;
    object-fit: cover;
}
.footer-details{
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    align-items: flex-end;
}

.footer-details p{
    font-size: 1rem;
    color: #555555;
    font-weight: 300;
    text-align: end;
}

.footer-details .f-btn{
    background: linear-gradient(135deg, #f6a10e  0%, #efd705 100%);
            color: var(--white);
            padding: 1rem 2.5rem;
            font-size: 1.5rem;
            font-weight: 600;
            transition: all 0.3s ease;
}


.footer-details .f-btn:hover {
    transform: translateY(-2px);
    box-shadow: 0 6px 20px #e0a540b4;
}


.social-icons{
    display: flex;
    gap: 1rem;
}


.social-icons a{
    font-size: 1.5rem;
    color: #555555;
    transition: color 0.3s ease;
}

.social-icons a:hover {
    color: #f6a10e;
}

.contacts{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: flex-end;
}

.contacts a{
    font-size: 1rem;
    font-weight: 300;
    text-decoration: none;
    transition: color 0.3s ease;
}


.contacts a:hover {
    color: #f6a10e;
}


.links{
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
}


.links a{
    text-transform: uppercase;
    font-size: 1rem;
    font-weight: 500;
    text-decoration: none;
    color: #3e3e3e;
    transition: color 0.3s ease;
}


.links a:hover {
    color: #f6a10e;
}


footer a{
    text-decoration: none;
    color: inherit;
    text-align: center;
    transition: color  0.3s ease;
    margin-bottom: 2rem;
}


footer a:hover{
    color: #f6a10e;
}


@media (max-width:786px) {
    footer{
        height: auto;
        padding: .5rem;
    }
    .footer{
        height: auto;
        flex-direction: column;
        text-align: center;
        gap: 1rem;
    }
    .footer-details{
        align-items: center;
        gap: .2rem;
    }
    .contacts{
        align-items: center;
        gap: .2rem;
    }
    .map-container, .footer-details{
        width: 100%;
    }
    .map-container iframe{
        height: 300px;
    }
    .footer-details p{
        text-align: center;
    }
}


@media (max-width:480px) {
    .footer-details .f-btn{
        padding: 0.8rem 1.5rem;
        font-size: 1.2rem;
    }
    .social-icons a{
        font-size: 1.2rem;
    }
    .contacts a, .links a{
        font-size: 0.9rem;
    }
    .contacts{
        gap: .5rem;
    }
    footer a{
        font-size: 0.8rem;
    }
}